AOZ Studio Beta - Bug #57

INPUT with a string in the middle
01/21/2020 09:43 PM - Paul Kitching

Status: Closed Start date: 01/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.3

Description

a$="bb"

Input "test"+a$+":";Db$

The input command gives a syntax error. It works in AMOS.

History

#1 - 01/23/2020 08:27 PM - Baptiste Pillot

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/437
o full compile result :

main.aoz:3:12: error: syntax error

Error during compilation

AOZ Transpiler Version 0.9.3.1 - 21/01/2020

By Francois 'Amos' Lionet (c) AOZ Studio 2019

Website: https://aoz.studio

Support the project on Patreon: http://www.patreon.com/francoislionet

PATH->Z:/home/amos2/compiler/0.9.3.1/languages

Removing directory: /home/amos2/ide/input/tickleman/57/html

Compiling /home/amos2/ide/input/tickleman/57, emulation: PC, speed: fast.
First pass...

main.aoz:3:12: error: syntax error

{}

Task failed, no code generated...

#2 - 01/24/2020 07:23 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.3.2

Fixed!

#3 - 02/01/2020 08:22 AM - Baptiste Pillot

- Status changed from Resolved to Closed

Ok.
